View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/applications/webhooksapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
event_typesobject<event_type>[]Requiredapplication/json
application/json
curl -X POST "https://example.com/v1/notifications/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com", "event_types": [ { "name": "string" } ] }'{ "id": "string", "url": "http://example.com", "event_types": [ { "name": "string", "description": "string", "status": "string", "resource_versions": [ "string" ] } ], "links": [ { "href": "string", "rel": "string", "method": "GET" } ]}